Main Page Class Hierarchy Compound List File List Compound Members File Members

# TConfigurable Class Reference

`#include <configurable.h>`

Inheritance diagram for TConfigurable:

List of all members.

## Public Member Functions
| TConfigurable ()
virtual HANDLE_STATUS | HandleConfigLine (ConfigSource *p_parser)
bool | IsReady ()
## Protected Member Functions
virtual void | CheckConfig ()
## Protected Attributes
WORM_STATUS_CODE | ConfigState

## Constructor & Destructor Documentation

TConfigurable::TConfigurable | ( |  | ) |

| Definition at line 4 of file configurable.cpp. References ConfigState, and WORM_STAT_NOTINIT.

## Member Function Documentation

virtual void TConfigurable::CheckConfig | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in TGlobalUtils, CMFCDialogModuleBase, TModuleBase, DBMutableServer, MutableServerBase, RingReaderServer, WormServerBase, and ServerTemplate. Definition at line 56 of file configurable.h. Referenced by IsReady().

HANDLE_STATUS TConfigurable::HandleConfigLine | ( | ConfigSource * | p_parser | ) | `[virtual]`

| Reimplemented in TGlobalUtils, CMFCDialogModuleBase, TModuleBase, DBMutableServer, MutableServerBase, RingReaderServer, WormServerBase, and ServerTemplate. Definition at line 9 of file configurable.cpp. References HANDLE_STATUS, and HANDLER_UNUSED. Referenced by CMFCDialogAppBase::ParseCommandFile().

bool TConfigurable::IsReady | ( |  | ) |

| Definition at line 14 of file configurable.cpp. References CheckConfig(), ConfigState, WORM_STAT_NOTINIT, and WORM_STAT_SUCCESS. Referenced by TModuleBase::CheckConfig(), CMFCDialogModuleBase::CheckConfig(), main(), CMFCDialogAppBase::ParseCommandFile(), and TModuleBase::Run().

## Member Data Documentation

WORM_STATUS_CODE TConfigurable::ConfigState`[protected]`

| Definition at line 44 of file configurable.h. Referenced by WormServerBase::CheckConfig(), RingReaderServer::CheckConfig(), MutableServerBase::CheckConfig(), TModuleBase::CheckConfig(), CMFCDialogModuleBase::CheckConfig(), TGlobalUtils::CheckConfig(), DBMutableServer::CheckConfig(), MutableServerBase::HandleConfigLine(), IsReady(), TGlobalUtils::LoadFiles(), WormServerBase::Run(), MutableServerBase::Run(), TConfigurable(), and TGlobalUtils::TGlobalUtils().

The documentation for this class was generated from the following files:

- configurable.h
- configurable.cpp